Foxit PDF SDK

Instance Methods | Properties | List of all members
FSCertVerifyResult Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithCert:is_ca:is_trusted:response:response_effect_time_range:revoke_time:cert_status:reason:cert_check_time:exist_signature_vri_creation_time:signature_vri_creation_time:exist_response_signature_vri_creation_time:response_signature_vri_creation_time:response_info_location:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another certificate verify result object. More...
(void) | - set:is_ca:is_trusted:response:response_effect_time_range:revoke_time:cert_status:reason:cert_check_time:exist_signature_vri_creation_time:signature_vri_creation_time:exist_response_signature_vri_creation_time:response_signature_vri_creation_time:response_info_location:
| Set value. More...

## Properties
NSData * | cert
| A certificate contnet.
FSDateTime * | cert_check_time
| The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
FSCertVerifyResultCertStatus | cert_status
| Certificate status. Please refer to values starting from FSCertVerifyResultCertStatusValid and this should be one of these values.
BOOL | exist_response_signature_vri_creation_time
| Indicate if creation time of response signature's VRI exists.
BOOL | exist_signature_vri_creation_time
| Indicate if creation time of siganture's VRI exists.
BOOL | is_ca
| Indicate if the certificate is a CA certificate.
BOOL | is_trusted
| Indicate if the certificate is truscted by user.
FSCertVerifyResultRevocationReason | reason
| Revocation reason of the certificate. Please refer to values starting from FSCertVerifyResultReasonNoStatus and this should be one of these values.
FSResponse * | response
| A response for the certificate.
FSTimeRange * | response_effect_time_range
| The time range when the response takes effect.
FSCertVerifyResultResponseInfoLocation | response_info_location
| Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSCertVerifyResultLocationNotSet and this should be one of these values.
FSDateTime * | response_signature_vri_creation_time
| Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
FSDateTime * | revoke_time
| Revoked time got from the response.
FSDateTime * | signature_vri_creation_time
| Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## Detailed Description

This class represents the verify result for a certificate.

## Method Documentation

## ◆ initWithCert:is_ca:is_trusted:response:response_effect_time_range:revoke_time:cert_status:reason:cert_check_time:exist_signature_vri_creation_time:signature_vri_creation_time:exist_response_signature_vri_creation_time:response_signature_vri_creation_time:response_info_location:()

- (id) initWithCert: |  | (NSData *) | cert
is_ca: |  | (BOOL) | is_ca
is_trusted: |  | (BOOL) | is_trusted
response: |  | (FSResponse*) | response
response_effect_time_range: |  | (FSTimeRange*) | response_effect_time_range
revoke_time: |  | (FSDateTime*) | revoke_time
cert_status: |  | (FSCertVerifyResultCertStatus) | cert_status
reason: |  | (FSCertVerifyResultRevocationReason) | reason
cert_check_time: |  | (FSDateTime*) | cert_check_time
exist_signature_vri_creation_time: |  | (BOOL) | exist_signature_vri_creation_time
signature_vri_creation_time: |  | (FSDateTime*) | signature_vri_creation_time
exist_response_signature_vri_creation_time: |  | (BOOL) | exist_response_signature_vri_creation_time
response_signature_vri_creation_time: |  | (FSDateTime*) | response_signature_vri_creation_time
response_info_location: |  | (FSCertVerifyResultResponseInfoLocation) | response_info_location

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FSCertVerifyResultCertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FSCertVerifyResultReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSCertVerifyResultLocationNotSet and this should be one of these values.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSCertVerifyResult*) | other |

Constructor, with another certificate verify result object.

Parameters

  [in] | other | Another response object.

## ◆ set:is_ca:is_trusted:response:response_effect_time_range:revoke_time:cert_status:reason:cert_check_time:exist_signature_vri_creation_time:signature_vri_creation_time:exist_response_signature_vri_creation_time:response_signature_vri_creation_time:response_info_location:()

- (void) set: |  | (NSData *) | cert
is_ca: |  | (BOOL) | is_ca
is_trusted: |  | (BOOL) | is_trusted
response: |  | (FSResponse*) | response
response_effect_time_range: |  | (FSTimeRange*) | response_effect_time_range
revoke_time: |  | (FSDateTime*) | revoke_time
cert_status: |  | (FSCertVerifyResultCertStatus) | cert_status
reason: |  | (FSCertVerifyResultRevocationReason) | reason
cert_check_time: |  | (FSDateTime*) | cert_check_time
exist_signature_vri_creation_time: |  | (BOOL) | exist_signature_vri_creation_time
signature_vri_creation_time: |  | (FSDateTime*) | signature_vri_creation_time
exist_response_signature_vri_creation_time: |  | (BOOL) | exist_response_signature_vri_creation_time
response_signature_vri_creation_time: |  | (FSDateTime*) | response_signature_vri_creation_time
response_info_location: |  | (FSCertVerifyResultResponseInfoLocation) | response_info_location

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FSCertVerifyResultCertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FSCertVerifyResultReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSCertVerifyResultLocationNotSet and this should be one of these values.

Returns
  None.